<?php

namespace App\Entities;

use App\Entities\BaseEntity;

class HPILOEntity extends BaseEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle()
    {
        return $this->attributes['title'];
    }
    public function getStatus()
    {
        return $this->attributes['status'];
    }

    //추가기능
    public function getIP()
    {
        return $this->attributes['ip'];
    }
    public function getPort()
    {
        return $this->attributes['port'];
    }
    public function getID()
    {
        return $this->attributes['id'];
    }
    public function getPassword()
    {
        return $this->attributes['passwd'];
    }
}
